Summary:    Graphical frontend to libparted
Name:       gparted
Version:    0.4.3
Release:    %mkrel 1
License:    GPLv2+
Group:      System/Kernel and hardware      

Source0:    http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:    run-gparted
Source2:    gparted-console.apps
Source3:    gparted-pam.d
Patch102:   gparted-realpath-fix.patch
Patch103:   gparted-refresh_crash-fix.patch
Url:        http://gparted.sourceforge.net
BuildRoot:  %_tmppath/%name-%version-root
BuildRequires:  parted-devel >= 1.6.13 
BuildRequires:  gtkmm2.4-devel
BuildRequires:  imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
Requires:   usermode-consoleonly

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to 
libparted. Among other features it supports creating, resizing, moving 
and copying of partitions.

%prep
%setup -q
%patch102 -p0 -b .realpath
%patch103 -p0 -b .refresh

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std
%find_lang %name --with-gnome

# Create a helper script to launch gparted using hal-lock
mkdir -p %buildroot%_bindir
cp %{SOURCE1} %{buildroot}%{_bindir}/
chmod 755 %{buildroot}%{_bindir}/run-gparted

#consolehelper
ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/gparted

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.apps/gparted

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cp %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/gparted

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications/ \
	--add-category='GTK;HardwareSettings;Settings' \
	%buildroot%_datadir/applications/*.desktop

%clean
rm -fr %buildroot

%preun
if [ $1 -ge 0 ]; then
    if [ -a %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi ]; then
       rm -rf %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi
    fi
fi

%if %mdkversion < 200900
%post
%update_menus
%endif
                
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/run-gparted
%{_sbindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man8/*
%{_datadir}/gnome/help/%{name}/*/%{name}.xml
%{_datadir}/omf/%{name}/%{name}-*.omf
%config(noreplace) %{_sysconfdir}/pam.d/gparted
%config(noreplace) %{_sysconfdir}/security/console.apps/gparted


%changelog
* Thu Feb 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 339870
- update to new version 0.4.3

* Thu Feb 05 2009 Funda Wang <fundawang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 337903
- with gnome
- new version 0.4.2

* Sat Jan 10 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 327866
- New verison 0.4.1

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

* Sat Nov 29 2008 Funda Wang <fundawang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 308067
- fix file list
- new version 0.4.0

* Sat Sep 13 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.9-1mdv2009.0
+ Revision: 284549
- Add new BuildRequires gnome-doc-utils needed by new version
- Update to new version 0.3.9

* Fri Jul 18 2008 Funda Wang <fundawang@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 237978
- New version 0.3.8

* Sat Jun 28 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 229729
- fix typo
- BR desktop-file-utils
- drop patch100, not needed any more
- drop patch0
- New version 0.3.7

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 194281
- update to new version 0.3.6

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-2mdv2008.1
+ Revision: 170873
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 0.3.5-1mdv2008.1
+ Revision: 163471
- rediff patch100
- New version 0.3.5

* Tue Jan 08 2008 Pixel <pixel@mandriva.com> 0.3.3-6mdv2008.1
+ Revision: 146620
- sync with fedora's gparted
  (esp. for run-gparted which fixes hal locking issue: #34018)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 0.3.3-5mdv2008.1
+ Revision: 102781
- fix menu location (bug#35097)

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 0.3.3-4mdv2008.1
+ Revision: 98168
- fix desktop file (bug#34749)

* Mon May 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.3-3mdv2008.0
+ Revision: 29326
- fix build
- rebuild with new parted library


* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 0.3.3-2mdv2007.0
+ Revision: 113691
- rebuild for libparted-1.8.so.2

* Fri Jan 05 2007 Stew Benedict <sbenedict@mandriva.com> 0.3.3-1mdv2007.1
+ Revision: 104466
- Import gparted

* Fri Jan 05 2007 Stew Benedict <sbenedict@mandriva.com> 0.3.3-1mdv2007.1
- 0.3.3

* Thu Sep 07 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.5-6mdv2007.0
- make sure new libcariomm is actually installed and rebuild

* Sun Sep 03 2006 Emmanuel Andry <tvignaud@mandriva.com> 0.2.5-5mdv2007.0
- rebuild against new libcairomm

* Sun Aug 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.5-4mdv2007.0
- really rebuild against new libparted

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5-3mdv2007.0
- rebuild for new libparted

* Tue Jul 11 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.5-2mdv2007.0
- rebuild for new libparted
- remove parted as a requires
  don't know why previous editor felt it was needed
- xdg menu

* Wed May 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.5-1mdk
- 0.2.5
- move parted as Requires and not buildrequires

* Wed Apr 19 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.4-1mdk
- 0.2.4
- drop S2, use included logo

* Mon Oct 03 2005 Olivier Blin <oblin@mandriva.com> 0.0.8-2mdk
- rebuild for parted-1.6.24

* Thu Dec 23 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.0.8-1mdk
- 0.0.8, add an icon to the menu items

* Wed Nov 10 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.0.6-1mdk
- first Mandrakelinux release

